Inserts a breakpoint at entry to a function

- « phpdbg_break_file

- phpdbg_break_method »

- PHP Manual
- phpdbg Functions
- Inserts a breakpoint at entry to a function

# phpdbg_break_function

(PHP 5 >= 5.6.3, PHP 7, PHP 8)

phpdbg_break_function — Inserts a breakpoint at entry to a function

### Description

phpdbg_break_function(string `$function`): void

Insert a breakpoint at the entry to the given `function`.

### Parameters

`function`

  The name of the function.

### Return Values

No value is returned.

### See Also

- phpdbg_break_file() - Inserts a breakpoint at a line in a file
- phpdbg_break_method() - Inserts a breakpoint at entry to a method
- phpdbg_break_next() - Inserts a breakpoint at the next opcode
- phpdbg_clear() - Clears all breakpoints